#pragma once
#include "P15File.h"
#include "DataObject.h"

class CP15DODF :
	public CP15File
{
public:
	CP15DODF(void);
	~CP15DODF(void);

	// Método para pasar los objetos de datos a P11
	int DecodeObject(byteBuffer & dodfEntry);

	// Método para realizar la codificación ASN1 de objetos PKCS#11
	int EncodeASN1( CPKCS11Object *pObj11, byteBuffer & efEncoded );

};
